Sync Payment
API reference
Send a push or pull sync payment
Endpoint: /v1/syncpayments
POST
https://sandbox.crbcos.com/cardpayments/v1/syncpayments
Body Parameters
- paymentIdstring
- cardIdstringDescription
- cardTokenstringDescription
- accountNumberstringrequiredDescription
- amountintegerrequiredDescription
- paymentTypestringrequiredDescription
- correspondingEntityobject
- firstNamestringrequiredDescription
- lastNamestringrequiredDescription
- externalAccountIdentifierstringrequiredDescription
- addressobjectDescription
- street1stringrequiredDescription
- street2stringDescription
- citystringrequiredDescription
- statestringDescription
- postalCodestringrequiredDescription
- countryCodestringrequiredDescription
- mccstringDescription
- initiatorNamestringDescription
- cvvstringDescription
- clientIdentifierstringDescription
- businessTypestringDescription
- purposeOfPaymentstringDescription
- threeDomainSecureobjectDescription
- ecistringDescription
- cavvstringDescription
- ucafstringDescription
- xidstringDescription
Response
- idstringDescription
- originalPaymentIdstringDescription
- clientIdentifierstringDescription
- amountintegerDescription
- paymentTypestringDescription
- sourcestringDescription
- statusstringDescription
- productIdstringDescription
- partnerIdstringDescription
- cardIdstringDescription
- cardTokenstringDescription
- networkstringDescription
- cardBrandstringDescription
- panLastFourstringDescription
- issuerCountryCodestringDescription
- retrievalReferenceIdstringDescription
- networkTransactionIdstringDescription
- reasonCodestringDescription
- reasonDescriptionstringDescription
- traceNumberstringDescription
- correspondingEntityobjectDescription
- firstNamestring
- lastNamestring
- externalAccountIdentifierstring
- addressobject
- street1stringDescription
- street2string
- citystring
- statestring
- postalCodestring
- countryCodestring
- mccstringDescription
- initiatorNamestringDescription
- merchantVerificationValuestringDescription
- accountNumberstringDescription
- businessTypestringDescription
- coreTransactionIdstringDescription
- memoPostIdstringDescription
- memoPostRemovedAtstringDescription
- wasRefundedbooleanDescription
- refundPaymentIdstringDescription
- createdAtstringDescription
- authorizedOnstringDescription
- submittedOnstringDescription
- rejectedAtstringDescription
- completedAtstringDescription
- failedAtstringDescription
- limitsEligibleOnstringDescription
- lastModifiedAtstringDescription
- threeDomainSecureEcistringDescription
- threeDomainSecureUcafstringDescription
- threeDomainSecureCavvstringDescription
- threeDomainSecureXidstringDescription
curl
curl --location 'https://sandbox.crbcos.com/cardpayments/v1/syncpayments' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--data '{
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"accountNumber": "98752973255888149",
"amount": 99999999999999,
"paymentType": "Push",
"correspondingEntity": {
"firstName": "John",
"lastName": "Johnsom",
"externalAccountIdentifier": "njkKPji4hDx16ZvUqEB",
"address": {
"street1": "S?treet1",
"street2": "Street2",
"city": "New York",
"state": "NY",
"postalCode": "10128",
"countryCode": "US"
}
},
"mcc": "1234",
"cvv": "0917",
"clientIdentifier": "dkdkdkddkdkdkkd",
"businessType": "BB",
"purposeOfPayment": "ISACCT",
"paymentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"threeDomainSecure": {
"eci": "05",
"cavv": "8c5f2a1b9d3e4f60718293a4b5c6d7e8f9012345",
"xid": "3f2b8c1e-7a4d-4e9b-9c6f-1d2e3a4b5c6d"
}
}'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'POST',
'hostname': 'sandbox.crbcos.com',
'path': '/cardpayments/v1/syncpayments',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Accept': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
var postData = JSON.stringify({
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"accountNumber": "98752973255888149",
"amount": 99999999999999,
"paymentType": "Push",
"correspondingEntity": {
"firstName": "John",
"lastName": "Johnsom",
"externalAccountIdentifier": "njkKPji4hDx16ZvUqEB",
"address": {
"street1": "S?treet1",
"street2": "Street2",
"city": "New York",
"state": "NY",
"postalCode": "10128",
"countryCode": "US"
}
},
"mcc": "1234",
"cvv": "0917",
"clientIdentifier": "dkdkdkddkdkdkkd",
"businessType": "BB",
"purposeOfPayment": "ISACCT",
"paymentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"threeDomainSecure": {
"eci": "05",
"cavv": "8c5f2a1b9d3e4f60718293a4b5c6d7e8f9012345",
"xid": "3f2b8c1e-7a4d-4e9b-9c6f-1d2e3a4b5c6d"
}
});
req.write(postData);
req.end();python
import requests
import json
url = "https://sandbox.crbcos.com/cardpayments/v1/syncpayments"
payload = json.dumps({
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"accountNumber": "98752973255888149",
"amount": 99999999999999,
"paymentType": "Push",
"correspondingEntity": {
"firstName": "John",
"lastName": "Johnsom",
"externalAccountIdentifier": "njkKPji4hDx16ZvUqEB",
"address": {
"street1": "S?treet1",
"street2": "Street2",
"city": "New York",
"state": "NY",
"postalCode": "10128",
"countryCode": "US"
}
},
"mcc": "1234",
"cvv": "0917",
"clientIdentifier": "dkdkdkddkdkdkkd",
"businessType": "BB",
"purposeOfPayment": "ISACCT",
"paymentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"threeDomainSecure": {
"eci": "05",
"cavv": "8c5f2a1b9d3e4f60718293a4b5c6d7e8f9012345",
"xid": "3f2b8c1e-7a4d-4e9b-9c6f-1d2e3a4b5c6d"
}
})
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Accept': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://sandbox.crbcos.com/cardpayments/v1/syncpayments")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request["Accept"] = "application/json"
request.body = JSON.dump({
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"accountNumber": "98752973255888149",
"amount": 99999999999999,
"paymentType": "Push",
"correspondingEntity": {
"firstName": "John",
"lastName": "Johnsom",
"externalAccountIdentifier": "njkKPji4hDx16ZvUqEB",
"address": {
"street1": "S?treet1",
"street2": "Street2",
"city": "New York",
"state": "NY",
"postalCode": "10128",
"countryCode": "US"
}
},
"mcc": "1234",
"cvv": "0917",
"clientIdentifier": "dkdkdkddkdkdkkd",
"businessType": "BB",
"purposeOfPayment": "ISACCT",
"paymentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"threeDomainSecure": {
"eci": "05",
"cavv": "8c5f2a1b9d3e4f60718293a4b5c6d7e8f9012345",
"xid": "3f2b8c1e-7a4d-4e9b-9c6f-1d2e3a4b5c6d"
}
})
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/cardpayments/v1/syncpayments"
method := "POST"
payload := strings.NewReader(`{
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"accountNumber": "98752973255888149",
"amount": 99999999999999,
"paymentType": "Push",
"correspondingEntity": {
"firstName": "John",
"lastName": "Johnsom",
"externalAccountIdentifier": "njkKPji4hDx16ZvUqEB",
"address": {
"street1": "S?treet1",
"street2": "Street2",
"city": "New York",
"state": "NY",
"postalCode": "10128",
"countryCode": "US"
}
},
"mcc": "1234",
"cvv": "0917",
"clientIdentifier": "dkdkdkddkdkdkkd",
"businessType": "BB",
"purposeOfPayment": "ISACCT",
"paymentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"threeDomainSecure": {
"eci": "05",
"cavv": "8c5f2a1b9d3e4f60718293a4b5c6d7e8f9012345",
"xid": "3f2b8c1e-7a4d-4e9b-9c6f-1d2e3a4b5c6d"
}
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Accept", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"originalPaymentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"clientIdentifier": "dkdkdkddkdkdkkd",
"amount": 0,
"paymentType": "Push",
"status": "Created",
"source": "Api",
"productId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"partnerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"cardId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"network": "string",
"rail": "string",
"cardBrand": "AmericanExpress",
"panLastFour": "string",
"issuerCountryCode": "string",
"retrievalReferenceId": "string",
"networkTransactionId": "string",
"reasonCode": "string",
"reasonDescription": "string",
"traceNumber": "string",
"correspondingEntity": {
"firstName": "string",
"lastName": "string",
"externalAccountIdentifier": "6h9tKToLnBJYJotBs83",
"address": {
"street1": "string",
"street2": "string",
"city": "string",
"state": "st",
"postalCode": "string",
"countryCode": "string"
}
},
"mcc": "string",
"merchantVerificationValue": "string",
"accountNumber": "string",
"businessType": "BB",
"purposeOfPayment": "ISACCT",
"coreTransactionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"memoPostId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"memoPostRemovedAt": "2026-06-07T07:04:31.973Z",
"wasRefunded": true,
"refundPaymentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2026-06-07T07:04:31.973Z",
"authorizedOn": "2026-06-07T07:04:31.973Z",
"submittedOn": "2026-06-07T07:04:31.973Z",
"rejectedAt": "2026-06-07T07:04:31.973Z",
"completedAt": "2026-06-07T07:04:31.973Z",
"failedAt": "2026-06-07T07:04:31.973Z",
"limitsEligibleOn": "2026-06-07T07:04:31.973Z",
"lastModifiedAt": "2026-06-07T07:04:31.973Z",
"threeDomainSecureEci": "05",
"threeDomainSecureUcaf": null,
"threeDomainSecureCavv": "8c5f2a1b9d3e4f60718293a4b5c6d7e8f9012345",
"threeDomainSecureXid": "3f2b8c1e-7a4d-4e9b-9c6f-1d2e3a4b5c6d"
}